%define upstream_name    Devel-CheckBin
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Check that a command is available
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Devel::CheckBin is a perl module that checks whether a particular command
is available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-3.mga6
+ Revision: 1025493
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.40.0-2.mga6
+ Revision: 968902
- Mageia 6 Mass Rebuild

* Thu Jul 23 2015 sander85 <sander85> 0.40.0-1.mga6
+ Revision: 856518
- update to 0.04

* Thu Jun 25 2015 shlomif <shlomif> 0.30.0-1.mga6
+ Revision: 843063
- update to 0.03

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-3.mga5
+ Revision: 747131
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-2.mga5
+ Revision: 684304
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 0.20.0-1.mga5
+ Revision: 617835
- imported package perl-Devel-CheckBin


* Fri Apr 25 2014 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
